package javax.swing.event;

import javax.swing.table.TableColumnModel;
import java.util.EventObject;

public class TableColumnModelEvent extends EventObject
{
    protected int fromIndex;
    protected int toIndex;
    
    public TableColumnModelEvent(TableColumnModel source, int fromIndex, int toIndex) {
        super(source);
        this.fromIndex = fromIndex;
        this.toIndex = toIndex;
    }
    
    public int getFromIndex() {
        return this.fromIndex;
    }
    
    public int getToIndex() {
        return this.toIndex;
    }
}
